import time
from time import sleep
import datetime

import RPi.GPIO as GPIO # Import Raspberry Pi GPIO library
GPIO.setwarnings(False) # Ignore warning for now
GPIO.setmode(GPIO.BOARD) # Use physical pin numbering
GPIO.setup(10, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) 
GPIO.setup(12, GPIO.IN, pull_up_down=GPIO.PUD_DOWN) 

# exec(open('rBut.py').read())
# odrv0.axis0.requested_state = AXIS_STATE_IDLE

odrv0.axis0.trap_traj.config.accel_limit = 45
odrv0.axis0.trap_traj.config.vel_limit = 35
odrv0.axis0.trap_traj.config.decel_limit = 45
odrv0.axis0.controller.config.pos_gain = 80
odrv0.axis0.controller.config.vel_gain = 0.4
odrv0.axis0.controller.config.vel_integrator_gain = 0
odrv0.axis0.controller.config.input_mode = INPUT_MODE_TRAP_TRAJ
odrv0.axis0.requested_state = AXIS_STATE_CLOSED_LOOP_CONTROL

toggle = False 
hoyTeller = 0 # MASSE radiostøy, intern pulldown res ikke sterk nok   
while 1 == 1:
  if GPIO.input(10) == GPIO.HIGH:
     hoyTeller = hoyTeller + 1   
     if hoyTeller > 100:
       print('trykk\n')   
       if toggle == True:
         odrv0.axis0.controller.input_pos = 0.55  
       else:
         odrv0.axis0.controller.input_pos = 0.4
       time.sleep(1)
       toggle = not toggle
       hoyTeller = 0
  if GPIO.input(10) == GPIO.LOW:
     hoyTeller = 0
